Hands In Docs
APIV1

Calculate group share

POST
/group-payments/{groupPaymentId}/calculate

Get a paired mapping of each member to their respective share of the total group purchase.

Authorization

AuthorizationBearer <token>

Merchant JWT bearer token

In: header

Scope: group-payments.read

Path Parameters

groupPaymentId*string

A unique identifier for the group payment object.

Response Body

application/json

application/json

curl -X POST "https://example.com/group-payments/string/calculate"
{
  "464022f18c8f41cd81338d62bbdc4bbf": {
    "amount": 2500,
    "currency": "USD"
  },
  "c95f806c0b784e5f8a5e486ed4f7e88b": {
    "amount": 2500,
    "currency": "USD"
  }
}
{
  "http_status_code": 100,
  "moreInfo": "https://www.randomurl.com",
  "name": "string",
  "detail": "string",
  "instance": "/pets/dogs/123",
  "property1": null,
  "property2": null
}